import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";


export default class ReimbursementApprovalService {
  list (param) {
    return request({
      url: prefix + '/reimbursementApproval/info/list',
      method: 'get',
      params: param
    })
  }
  reportNoList (param) {
    return request({
      url: prefix + '/reimbursementApproval/info/reportNoList',
      method: 'get',
      params: param
    })
  }
  projectList (params) {
    return request({
      url: prefix + '/reimbursementApproval/info/projectList',
      method: 'get',
      params: params
    })
  }
  save (param) {
    return request({
      url: prefix + '/reimbursementApproval/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/reimbursementApproval/info/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/reimbursementApproval/info/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/reimbursementApproval/info/updateStatusById',
      method: 'post',
      data: param
    })
  }
  checkNumber (number) {
    return request({
      url: prefix + '/reimbursementApproval/info/checkNumber',
      method: 'get',
      params: {number: number}
    })
  }
  userTree (name) {
    return request({
      url: prefix + '/reimbursementApproval/info/userTree',
      method: 'get',
      params: {name: name}
    })
  }
  exportFile (params) {
    return request({
      url: prefix + '/reimbursementApproval/info/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
	exportInvoiceReimbursementFile (params) {
    return request({
      url: prefix + '/reimbursementApproval/info/exportInvoiceReimbursementFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }
  queryByProIds (ids) {
    return request({
      url: prefix + '/reimbursementApproval/info/queryByProIds',
      method: 'get',
      params: {ids: ids}
    })
  }
  getEffectiveDataByInvoiceNumber (invoiceNumber,id) {
	return request({
		url: prefix + '/reimbursementApproval/info/getEffectiveDataByInvoiceNumber',
		method: 'get',
		params: {invoiceNumber: invoiceNumber,id:id}
	})
  }
}
